# Copyright (c) 2015, JINGROW and Contributors
# License: MIT. See LICENSE

import jingrow
import jingrow.www.list
from jingrow import _

no_cache = 1


def get_context(context):
	if jingrow.session.user == "Guest":
		jingrow.throw(_("You need to be logged in to access this page"), jingrow.PermissionError)

	context.current_user = jingrow.get_pg("User", jingrow.session.user)
	context.show_sidebar = True
